<%= form_for @user, html: {class: 'ui form error' } do |f| %>

  <% if @user.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@user.errors.count, "error") %> prohibited
        this article from being saved:
      </h2>
      <ul>
        <% @user.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <h3 class="ui dividing header">Basic Information</h3>

  <div class="fields">
    <div class="required six wide field">
      <%= f.label :first_name %><br>
      <%= f.text_field :first_name %>
    </div>

    <div class="required six wide field">
      <%= f.label :last_name %><br>
      <%= f.text_field :last_name %>
    </div>

    <div class="four wide field">
      <%= f.label :phone_number %><br>
      <%= f.text_field :phone_number %>
    </div>
  </div>


  <h3 class="ui dividing header">Organization Information</h3>

  <div class="fields">
    <div class="required eight wide field">
      <%= f.label :organization_id %><br>
      <%= f.collection_select( :affiliated_organization, Organization.all, :id, :chapter_school, {prompt: "Select your Organization", :selected => (@user.affiliated_organization)}, {:class=>'ui fluid search clearable dropdown'}) %>
    </div>
    <% if current_user.affiliated_organization and current_user.enabled %>
      <div class="eight wide field">
        <%= f.label :number %><br>
        <%= f.text_field :number, class: 'ui fluid clearable' %>
      </div>
    <% end %>
  </div>
  <% if current_user.affiliated_organization and current_user.enabled %>
    <div class="fields">
      <div class="eight wide field">
        <%= f.label :big %><br>
        <%= f.collection_select( :big, User.where(affiliated_organization: current_user.affiliated_organization), :id, :full_name, {prompt: "Big", :selected => (@user.big)}, {:class=>'ui fluid search clearable dropdown'}) %>
      </div>
      <div class="required eight wide field">
        <%= f.label :pledge_class %><br>
        <%= f.collection_select( :pledge_class_id, PledgeClass.all, :id, :label, {prompt: "Pledge Class", :selected => (@user.pledge_class_id)}, {:class=>'ui fluid search clearable dropdown'}) %>
      </div>
    </div>
    <div class="fields">
      <div class="required eight wide field">
        <%= f.label :current_status %><br>
        <%= f.collection_select( :current_status_id, BrotherStatus.all, :id, :label, {prompt: "Brother Status", :selected => (@user.current_status_id)}, {:class=>'ui fluid search clearable dropdown'}) %>
      </div>
    </div>
  <% end %>

  <div>
    <%= f.submit 'Submit', :class => 'ui primary fluid button' %>
  </div>

<% end %>
